Skip to content

List connected social accounts for a workspace

GET
/accounts

Parameters

Query Parameters

workspace_id*

Filter by workspace ID

Type
string
Required

Responses

OK

application/json
JSON
[
]

Playground

Variables
Key
Value

Samples


Connect Bluesky account using app password

POST
/accounts/bluesky/login

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/BlueskyLoginInputBody.json",
  
"app_password": "string",
  
"handle": "string",
  
"workspace_id": "string"
}

Responses

No Content

Playground

Body

Samples


Exchange Mastodon OOB authorization code

POST
/accounts/mastodon/exchange

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/ExchangeCodeInputBody.json",
  
"code": "string",
  
"server_name": "string",
  
"workspace_id": "string"
}

Responses

No Content

Playground

Body

Samples


List configured Mastodon servers

GET
/accounts/mastodon/servers

Responses

OK

application/json
JSON
[
]

Playground

Samples


Disconnect a social account

DELETE
/accounts/{account_id}

Parameters

Path Parameters

account_id*
Type
string
Required

Responses

No Content

Playground

Variables
Key
Value

Samples


Update a social account

PATCH
/accounts/{account_id}

Parameters

Path Parameters

account_id*
Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateAccountInputBody.json",
  
"slug": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/AccountResponse.json",
  
"account_id": "string",
  
"account_username": "string",
  
"id": "string",
  
"instance_url": "string",
  
"is_active": true,
  
"platform": "string",
  
"slug": "string",
  
"thread_replies_supported": true
}

Playground

Variables
Key
Value
Body

Samples


Get OAuth authorization URL for a platform

GET
/accounts/{platform}/auth-url

Parameters

Path Parameters

platform*

Social platform (x, mastodon, bluesky, linkedin, threads)

Type
string
Required

Query Parameters

workspace_id*

Workspace ID to link account to

Type
string
Required
server_name

Mastodon server name from config (required for mastodon)

Type
string

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/GetAuthURLOutputBody.json",
  
"url": "string"
}

Playground

Variables
Key
Value

Samples


List API tokens

GET
/api-tokens

Responses

OK

application/json
JSON
[
]

Playground

Samples


Create an API token

POST
/api-tokens

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateAPITokenInputBody.json",
  
"expires_at": "string",
  
"name": "string",
  
"scope": "string"
}

Responses

Created

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateAPITokenOutputBody.json",
  
"item": {
  
  
"created_at": "string",
  
  
"expires_at": "string",
  
  
"id": "string",
  
  
"last_used_at": "string",
  
  
"name": "string",
  
  
"revoked_at": "string",
  
  
"scope": "string",
  
  
"token_prefix": "string"
  
},
  
"token": "string"
}

Playground

Body

Samples


Revoke an API token

DELETE
/api-tokens/{id}

Parameters

Path Parameters

id*

API token ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/RevokeAPITokenOutputBody.json",
  
"revoked": true
}

Playground

Variables
Key
Value

Samples


Login with email and password

POST
/auth/login

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/LoginInputBody.json",
  
"email": "string",
  
"password": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/AuthOutputBody.json",
  
"mfa_methods": [
  
],
  
"mfa_token": "string",
  
"requires_mfa": true,
  
"token": "string",
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Begin MFA login with a passkey

POST
/auth/login/passkey/options

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/BeginPasskeyLoginInputBody.json",
  
"mfa_token": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PasskeyCeremonyOutputBody.json",
  
"challenge_id": "string",
  
"options": null
}

Playground

Body

Samples


Complete MFA login with a passkey

POST
/auth/login/passkey/verify

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/FinishPasskeyLoginInputBody.json",
  
"challenge_id": "string",
  
"credential": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/AuthOutputBody.json",
  
"mfa_methods": [
  
],
  
"mfa_token": "string",
  
"requires_mfa": true,
  
"token": "string",
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Complete MFA login with a TOTP code

POST
/auth/login/totp

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/VerifyTOTPLoginInputBody.json",
  
"code": "string",
  
"mfa_token": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/AuthOutputBody.json",
  
"mfa_methods": [
  
],
  
"mfa_token": "string",
  
"requires_mfa": true,
  
"token": "string",
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Get current authenticated user

GET
/auth/me

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
"created_at": "string",
  
"email": "string",
  
"id": "string"
}

Playground

Samples


Register a new user

POST
/auth/register

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/RegisterInputBody.json",
  
"email": "string",
  
"password": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/AuthOutputBody.json",
  
"mfa_methods": [
  
],
  
"mfa_token": "string",
  
"requires_mfa": true,
  
"token": "string",
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Get account security settings

GET
/auth/security

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SecurityStatusOutputBody.json",
  
"methods": [
  
],
  
"passkeys": [
  
],
  
"totp_enabled": true,
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Samples


Begin passkey registration for the current user

POST
/auth/security/passkeys/begin

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/BeginPasskeyRegistrationInputBody.json",
  
"current_password": "string",
  
"name": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PasskeyCeremonyOutputBody.json",
  
"challenge_id": "string",
  
"options": null
}

Playground

Body

Samples


Finish passkey registration for the current user

POST
/auth/security/passkeys/finish

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/FinishPasskeyRegistrationInputBody.json",
  
"challenge_id": "string",
  
"credential": "string",
  
"name": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SecurityStatusOutputBody.json",
  
"methods": [
  
],
  
"passkeys": [
  
],
  
"totp_enabled": true,
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Remove a passkey from the current user

POST
/auth/security/passkeys/{passkey_id}/remove

Parameters

Path Parameters

passkey_id*

Passkey ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/RemovePasskeyInputBody.json",
  
"current_password": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SecurityStatusOutputBody.json",
  
"methods": [
  
],
  
"passkeys": [
  
],
  
"totp_enabled": true,
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Variables
Key
Value
Body

Samples


Confirm TOTP enrollment with a verification code

POST
/auth/security/totp/confirm

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/ConfirmTOTPSetupInputBody.json",
  
"challenge_id": "string",
  
"code": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SecurityStatusOutputBody.json",
  
"methods": [
  
],
  
"passkeys": [
  
],
  
"totp_enabled": true,
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Disable TOTP for the current user

POST
/auth/security/totp/disable

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DisableTOTPInputBody.json",
  
"current_password": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SecurityStatusOutputBody.json",
  
"methods": [
  
],
  
"passkeys": [
  
],
  
"totp_enabled": true,
  
"user": {
  
  
"$schema": "https://example.com/schemas/UserProfile.json",
  
  
"created_at": "string",
  
  
"email": "string",
  
  
"id": "string"
  
}
}

Playground

Body

Samples


Start TOTP enrollment for the current user

POST
/auth/security/totp/setup

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetupTOTPInputBody.json",
  
"current_password": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetupTOTPOutputBody.json",
  
"challenge_id": "string",
  
"manual_entry_key": "string",
  
"otpauth_url": "string",
  
"qr_code_data_url": "string"
}

Playground

Body

Samples


Approve CLI device authorization

POST
/cli/auth/approve

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/ApproveCLIAuthInputBody.json",
  
"device_code": "string",
  
"name": "string",
  
"scopes": "string",
  
"user_code": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CLIAuthDecisionOutputBody.json",
  
"ok": true
}

Playground

Body

Samples


Deny CLI device authorization

POST
/cli/auth/deny

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DenyCLIAuthInputBody.json",
  
"device_code": "string",
  
"user_code": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CLIAuthDecisionOutputBody.json",
  
"ok": true
}

Playground

Body

Samples


Poll CLI device authorization

POST
/cli/auth/poll

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PollCLIAuthInputBody.json",
  
"device_code": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PollCLIAuthOutputBody.json",
  
"expires_in": 0,
  
"interval": 0,
  
"retry_after": 0,
  
"status": "string",
  
"token": "string"
}

Playground

Body

Samples


Get pending CLI authorization details

GET
/cli/auth/session

Parameters

Query Parameters

user_code
Type
string

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/GetCLIAuthSessionOutputBody.json",
  
"client_name": "string",
  
"client_os": "string",
  
"client_version": "string",
  
"expires_at": "string",
  
"requested_scopes": "string"
}

Playground

Variables
Key
Value

Samples


Start CLI device authorization

POST
/cli/auth/start

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/StartCLIAuthInputBody.json",
  
"client_name": "string",
  
"client_os": "string",
  
"client_version": "string",
  
"requested_scopes": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/StartCLIAuthOutputBody.json",
  
"device_code": "string",
  
"expires_in": 0,
  
"interval": 0,
  
"user_code": "string",
  
"verification_url": "string"
}

Playground

Body

Samples


System

Operations


Health check

GET
/health

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/Health-checkResponse.json",
  
"status": "string"
}

Playground

Samples


Jobs

Operations


List recent background jobs

GET
/jobs

Parameters

Query Parameters

limit

Number of jobs to return (default 50, max 200)

Type
integer
Format
"int64"
status

Filter by status (pending, processing, completed, failed)

Type
string
workspace_id

Filter by workspace ID

Type
string

Responses

OK

application/json
JSON
[
]

Playground

Variables
Key
Value

Samples


List media attachments for a workspace

GET
/media

Parameters

Query Parameters

workspace_id*

Filter by workspace ID

Type
string
Required
filter

Filter: all, used, unused, favorites

Type
string
sort

Sort: newest, oldest, size

Type
string
limit

Limit (default 50, max 200)

Type
integer
Format
"int64"
offset

Offset for pagination

Type
integer
Format
"int64"

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/ListMediaOutputBody.json",
  
"media": [
  
],
  
"total": 0
}

Playground

Variables
Key
Value

Samples


Delete multiple media attachments at once

POST
/media/batch-delete

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/BatchDeleteMediaInputBody.json",
  
"media_ids": [
  
]
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/BatchDeleteMediaOutputBody.json",
  
"deleted": 0,
  
"failed_ids": [
  
]
}

Playground

Body

Samples


Delete a media attachment (only if not used in any post)

DELETE
/media/{id}

Parameters

Path Parameters

id*

Media ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DeleteMediaOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value

Samples


Update media metadata (alt text)

PATCH
/media/{id}

Parameters

Path Parameters

id*

Media ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateMediaInputBody.json",
  
"alt_text": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateMediaOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value
Body

Samples


Toggle favorite status of a media attachment

PATCH
/media/{id}/favorite

Parameters

Path Parameters

id*

Media ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateMediaFavoriteOutputBody.json",
  
"is_favorite": true
}

Playground

Variables
Key
Value

Samples


Get posts that use a media attachment

GET
/media/{id}/usage

Parameters

Path Parameters

id*

Media ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/GetMediaUsageOutputBody.json",
  
"count": 0,
  
"usage": [
  
]
}

Playground

Variables
Key
Value

Samples


List posting schedules for a workspace

GET
/posting-schedules

Parameters

Query Parameters

workspace_id

Filter by workspace ID

Type
string
set_id

Filter by set ID (optional)

Type
string

Responses

OK

application/json
JSON
[
]

Playground

Variables
Key
Value

Samples


Create a new posting schedule slot

POST
/posting-schedules

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreatePostingScheduleInputBody.json",
  
"day_of_week": 0,
  
"label": "string",
  
"local_day_of_week": 0,
  
"local_hour": 0,
  
"local_minute": 0,
  
"set_id": "string",
  
"utc_hour": 0,
  
"utc_minute": 0,
  
"workspace_id": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PostingScheduleResponse.json",
  
"created_at": "string",
  
"day_of_week": 0,
  
"id": "string",
  
"is_active": true,
  
"label": "string",
  
"local_day_of_week": 0,
  
"local_hour": 0,
  
"local_minute": 0,
  
"set_id": "string",
  
"utc_hour": 0,
  
"utc_minute": 0,
  
"workspace_id": "string"
}

Playground

Body

Samples


Get the next available posting time slot

GET
/posting-schedules/next-slot

Parameters

Query Parameters

workspace_id

Workspace ID

Type
string
set_id

Optional set ID

Type
string

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/NextAvailableSlotOutputBody.json",
  
"message": "string",
  
"slot": {
  
  
"$schema": "https://example.com/schemas/PostingScheduleResponse.json",
  
  
"created_at": "string",
  
  
"day_of_week": 0,
  
  
"id": "string",
  
  
"is_active": true,
  
  
"label": "string",
  
  
"local_day_of_week": 0,
  
  
"local_hour": 0,
  
  
"local_minute": 0,
  
  
"set_id": "string",
  
  
"utc_hour": 0,
  
  
"utc_minute": 0,
  
  
"workspace_id": "string"
  
},
  
"slot_time": "string"
}

Playground

Variables
Key
Value

Samples


Generate a suggested posting schedule

POST
/posting-schedules/suggest

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SuggestScheduleInputBody.json",
  
"posts_per_day": 0,
  
"workspace_id": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SuggestScheduleOutputBody.json",
  
"message": "string",
  
"schedules": [
  
]
}

Playground

Body

Samples


Delete a posting schedule slot

DELETE
/posting-schedules/{id}

Parameters

Path Parameters

id*

Schedule ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DeletePostingScheduleOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value

Samples


Update a posting schedule slot

PATCH
/posting-schedules/{id}

Parameters

Path Parameters

id*

Schedule ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdatePostingScheduleInputBody.json",
  
"day_of_week": 0,
  
"is_active": true,
  
"label": "string",
  
"utc_hour": 0,
  
"utc_minute": 0
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PostingScheduleResponse.json",
  
"created_at": "string",
  
"day_of_week": 0,
  
"id": "string",
  
"is_active": true,
  
"label": "string",
  
"local_day_of_week": 0,
  
"local_hour": 0,
  
"local_minute": 0,
  
"set_id": "string",
  
"utc_hour": 0,
  
"utc_minute": 0,
  
"workspace_id": "string"
}

Playground

Variables
Key
Value
Body

Samples


List posts for a workspace

GET
/posts

Parameters

Query Parameters

workspace_id

Filter by workspace ID

Type
string
date

Filter by date (YYYY-MM-DD)

Type
string
status

Filter by status (draft, scheduled, published, failed)

Type
string
limit

Limit number of results (default 50, max 200)

Type
integer
Format
"int64"

Responses

OK

application/json
JSON
[
]

Playground

Variables
Key
Value

Samples


Create a new post

POST
/posts

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreatePostInputBody.json",
  
"content": "string",
  
"media_ids": [
  
],
  
"random_delay_minutes": 0,
  
"scheduled_at": "string",
  
"social_account_ids": [
  
],
  
"thread_draft": "string",
  
"workspace_id": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PostResponse.json",
  
"actual_run_at": "string",
  
"content": "string",
  
"created_at": "string",
  
"created_by": "string",
  
"destinations": [
  
],
  
"id": "string",
  
"media_ids": [
  
],
  
"random_delay_minutes": 0,
  
"scheduled_at": "string",
  
"status": "string",
  
"thread_draft": "string",
  
"workspace_id": "string"
}

Playground

Body

Samples


Get monthly schedule overview

GET
/posts/schedule-overview

Parameters

Query Parameters

workspace_id

Filter by workspace ID

Type
string
platform

Filter by platform

Type
string
month

Month in YYYY-MM format (defaults to current month)

Type
string

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/ScheduleOverviewOutputBody.json",
  
"days": [
  
],
  
"month": 0,
  
"platforms": [
  
],
  
"selected_platform": "string",
  
"selected_workspace_id": "string",
  
"workspaces": [
  
],
  
"year": 0
}

Playground

Variables
Key
Value

Samples


Create a thread of posts

POST
/posts/thread

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateThreadInputBody.json",
  
"posts": [
  
],
  
"random_delay_minutes": 0,
  
"scheduled_at": "string",
  
"social_account_ids": [
  
],
  
"workspace_id": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateThreadOutputBody.json",
  
"post_ids": [
  
]
}

Playground

Body

Samples


Get a single post

GET
/posts/{id}

Parameters

Path Parameters

id*

Post ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PostDetailResponse.json",
  
"actual_run_at": "string",
  
"content": "string",
  
"created_at": "string",
  
"created_by": "string",
  
"destinations": [
  
],
  
"id": "string",
  
"media": [
  
],
  
"random_delay_minutes": 0,
  
"scheduled_at": "string",
  
"status": "string",
  
"thread_draft": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value

Samples


Delete a post

DELETE
/posts/{id}

Parameters

Path Parameters

id*

Post ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DeletePostOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value

Samples


Update a post

PATCH
/posts/{id}

Parameters

Path Parameters

id*

Post ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdatePostInputBody.json",
  
"content": "string",
  
"media_ids": [
  
],
  
"random_delay_minutes": 0,
  
"scheduled_at": "string",
  
"social_account_ids": [
  
],
  
"thread_draft": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PostDetailResponse.json",
  
"actual_run_at": "string",
  
"content": "string",
  
"created_at": "string",
  
"created_by": "string",
  
"destinations": [
  
],
  
"id": "string",
  
"media": [
  
],
  
"random_delay_minutes": 0,
  
"scheduled_at": "string",
  
"status": "string",
  
"thread_draft": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value
Body

Samples


Get per-platform content variants for a post

GET
/posts/{id}/variants

Parameters

Path Parameters

id*

Post ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/GetVariantsOutputBody.json",
  
"variants": [
  
]
}

Playground

Variables
Key
Value

Samples


Upsert per-platform content variants for a post

PUT
/posts/{id}/variants

Parameters

Path Parameters

id*

Post ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpsertVariantsInputBody.json",
  
"variants": [
  
]
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpsertVariantsOutputBody.json",
  
"variants": [
  
]
}

Playground

Variables
Key
Value
Body

Samples


Delete all variants for a post (reset to unified content)

DELETE
/posts/{id}/variants

Parameters

Path Parameters

id*

Post ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DeleteVariantsOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value

Samples


List writing prompts

GET
/prompts

Parameters

Query Parameters

workspace_id

Filter by workspace ID

Type
string
category

Filter by category

Type
string

Responses

OK

application/json
JSON
[
]

Playground

Variables
Key
Value

Samples


Create a custom writing prompt

POST
/prompts

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreatePromptInputBody.json",
  
"category": "string",
  
"text": "string",
  
"workspace_id": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PromptResponse.json",
  
"category": "string",
  
"created_at": "string",
  
"id": "string",
  
"is_built_in": true,
  
"text": "string",
  
"user_id": "string",
  
"workspace_id": "string"
}

Playground

Body

Samples


Get available prompt categories

GET
/prompts/categories

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/GetPromptCategoriesOutputBody.json",
  
"categories": [
  
]
}

Playground

Samples


Get a random writing prompt

GET
/prompts/random

Parameters

Query Parameters

workspace_id

Filter by workspace ID

Type
string
category

Filter by category

Type
string

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/PromptResponse.json",
  
"category": "string",
  
"created_at": "string",
  
"id": "string",
  
"is_built_in": true,
  
"text": "string",
  
"user_id": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value

Samples


Delete a custom prompt

DELETE
/prompts/{id}

Parameters

Path Parameters

id*

Prompt ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DeletePromptOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value

Samples


List social media sets for a workspace

GET
/sets

Parameters

Query Parameters

workspace_id

Filter by workspace ID

Type
string

Responses

OK

application/json
JSON
[
]

Playground

Variables
Key
Value

Samples


Create a social media set

POST
/sets

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateSetInputBody.json",
  
"account_ids": [
  
],
  
"is_default": true,
  
"name": "string",
  
"workspace_id": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetResponse.json",
  
"accounts": [
  
],
  
"created_at": "string",
  
"id": "string",
  
"is_default": true,
  
"name": "string",
  
"workspace_id": "string"
}

Playground

Body

Samples


Get a single social media set

GET
/sets/{id}

Parameters

Path Parameters

id*

Set ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetResponse.json",
  
"accounts": [
  
],
  
"created_at": "string",
  
"id": "string",
  
"is_default": true,
  
"name": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value

Samples


Delete a social media set

DELETE
/sets/{id}

Parameters

Path Parameters

id*

Set ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/DeleteSetOutputBody.json",
  
"message": "string"
}

Playground

Variables
Key
Value

Samples


Update a social media set

PATCH
/sets/{id}

Parameters

Path Parameters

id*

Set ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateSetInputBody.json",
  
"is_default": true,
  
"name": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetResponse.json",
  
"accounts": [
  
],
  
"created_at": "string",
  
"id": "string",
  
"is_default": true,
  
"name": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value
Body

Samples


Add accounts to a social media set

POST
/sets/{id}/accounts

Parameters

Path Parameters

id*

Set ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/AddSetAccountsInputBody.json",
  
"account_ids": [
  
],
  
"is_main": true
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetResponse.json",
  
"accounts": [
  
],
  
"created_at": "string",
  
"id": "string",
  
"is_default": true,
  
"name": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value
Body

Samples


Remove an account from a social media set

DELETE
/sets/{id}/accounts/{account_id}

Parameters

Path Parameters

id*

Set ID

Type
string
Required
account_id*

Account ID to remove

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/SetResponse.json",
  
"accounts": [
  
],
  
"created_at": "string",
  
"id": "string",
  
"is_default": true,
  
"name": "string",
  
"workspace_id": "string"
}

Playground

Variables
Key
Value

Samples


List workspaces for the current user

GET
/workspaces

Responses

OK

application/json
JSON
[
]

Playground

Samples


Create a new workspace

POST
/workspaces

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateWorkspaceInputBody.json",
  
"name": "string"
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/CreateWorkspaceOutputBody.json",
  
"created_at": "string",
  
"id": "string",
  
"name": "string"
}

Playground

Body

Samples


Get workspace settings

GET
/workspaces/{id}/settings

Parameters

Path Parameters

id*

Workspace ID

Type
string
Required

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/GetWorkspaceSettingsOutputBody.json",
  
"draft_gap_minutes": 0,
  
"media_cleanup_days": 0,
  
"random_delay_minutes": 0,
  
"slot_end_hour": 0,
  
"slot_interval_minutes": 0,
  
"slot_start_hour": 0,
  
"timezone": "string",
  
"week_start": 0
}

Playground

Variables
Key
Value

Samples


Update workspace settings

PATCH
/workspaces/{id}/settings

Parameters

Path Parameters

id*

Workspace ID

Type
string
Required

Request Body

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateWorkspaceSettingsInputBody.json",
  
"draft_gap_minutes": 0,
  
"media_cleanup_days": 0,
  
"random_delay_minutes": 0,
  
"slot_end_hour": 0,
  
"slot_interval_minutes": 0,
  
"slot_start_hour": 0,
  
"timezone": "string",
  
"week_start": 0
}

Responses

OK

application/json
JSON
{
  
"$schema": "https://example.com/schemas/UpdateWorkspaceSettingsOutputBody.json",
  
"draft_gap_minutes": 0,
  
"media_cleanup_days": 0,
  
"random_delay_minutes": 0,
  
"slot_end_hour": 0,
  
"slot_interval_minutes": 0,
  
"slot_start_hour": 0,
  
"timezone": "string",
  
"week_start": 0
}

Playground

Variables
Key
Value
Body

Samples


Released under the MIT License.